export default interface Props extends NumberInputComponentTypes {
    // formContext: any
}

interface LabelType {
    text: string,
    position: string
}

interface IconType {
    icon: string,
    position: string
}

interface DropDownType {
    data: any[],
    selected: string | number,
    displayField: string,
    displayValue: string
}

export interface NumberInputComponentTypes {
    onChange?: Function,
    onClick?: Function,
    onBlur?: Function,
    onKeyPress?: Function,
    onKeyDown?: Function,
    element?: Function,
    name?: string,
    caption?: string,
    id?: any,
    value?: string,
    validate?: any[],
    errorMessage?: string,
    loading?: boolean,
    label?: string | LabelType[]
    icon?: string | IconType[],
    button?: Function,
    dropdown?: DropDownType,
    debounce?: number,
    autoComplete?: string,
    disabled?: boolean,
    readOnly?: boolean,
    autoFocus?: boolean,
    maxLength?: number,
    placeholder?: string,
    size?: string,
    customStyle?: string,
    spellCheck?: boolean,
    precision?: number,
    useThousandSeparator?: boolean,
    useNegative?: boolean,
    infoText?: string,
    noBorder?: boolean,
    noRadius?: boolean,
    rounded?: boolean,
    color?: string,
}
