

export default interface Props extends SelectComponentTypes {
    // formContext: any
}

interface OptionType {
    data?: any[],
    remote?: string,
    displayField: string,
    displayValue: string,
    selected?: any
}
interface IconType {
    icon: string,
    position: string
}

export interface SelectComponentTypes {
    onChange?: Function,
    onClick?: Function,
    onBlur?: Function,
    onKeyPress?: Function,
    onKeyDown?: Function,
    element?: Function,
    name?: string,
    caption?: string,
    id?: any,
    validate?: any[],
    errorMessage?: string,
    loading?: boolean,
    label?: string
    icon?: string | IconType[],
    options?: OptionType,
    disabled?: boolean,
    readOnly?: boolean,
    multiple?: boolean,
    mask?: string,
    placeholder?: string,
    size?: string,
    customStyle?: string,
    debounce?: number,
    addTag?: boolean,
    openAfterAddTag?: boolean,
    removeAfterSelect?: boolean,
    autoFocus?: boolean,
    infoText?: string,
    noBorder?: boolean,
    noRadius?: boolean,
    rounded?: boolean,
    color?: string,
}
