export default interface Props extends TextareaComponentTypes {
    // formContext: any
}

interface IconType {
    icon: string,
    position: string
}

interface LabelType {
    text: string,
    position: string
}

export interface TextareaComponentTypes {
    onChange?: Function,
    onBlur?: Function,
    element?: Function,
    name?: string,
    caption?: string,
    id?: any,
    value?: string,
    validate?: any[],
    errorMessage?: string,
    disabled?: boolean,
    readOnly?: boolean,
    autoFocus?: boolean,
    maxLength?: number,
    placeholder?: string,
    size?: string,
    customStyle?: string,
    spellCheck?: boolean,
    onClick?: Function,
    onKeyPress?: Function,
    onKeyDown?: Function,
    loading?: boolean,
    label?: string | LabelType[]
    icon?: string | IconType[],
    debounce?: number,
    autoComplete?: boolean,
    infoText?: string,
    height?: any,
    noBorder?: boolean,
    noRadius?: boolean
}
